# -*- coding: utf-8 -*-
"""
created 2020/06/07, Markus K\"uhbach, m.kuehbach@mpie.de
definitions for HDF5 groups and datasets for results of the paraprobe-dbscan tool
"""

PARAPROBE_DBSC='/DBScan'
#one result per ion group and eps, minPts
#string dsnm = PARAPROBE_DBSC_META + to_string(CaseID) + PARAPROBE_DBSC_META_TYPID --> '/DBScan/Metadata/Task1/IontypeIDs'

PARAPROBE_DBSC_META='/DBScan/Metadata'  
#+per case
#masks, all or region-of-interest
PARAPROBE_DBSC_META_THRS='Ion2EdgeDistThreshold'
PARAPROBE_DBSC_META_THRS_NCMAX=1
PARAPROBE_DBSC_META_EPS='Epsilon'
PARAPROBE_DBSC_META_EPS_NCMAX=1
PARAPROBE_DBSC_META_KTH='KthNearestNeighbor'
PARAPROBE_DBSC_META_KTH_NCMAX=1
PARAPROBE_DBSC_META_MINPTS='MinNumberOfIonsForSignificantCluster'
PARAPROBE_DBSC_META_MINPTS_NCMAX=1

PARAPROBE_DBSC_META_TYPID_TG='IontypeTargets'
PARAPROBE_DBSC_META_TYPID_TG_NCMAX=9
PARAPROBE_DBSC_META_NIONS='NumberOfTargetIons'
PARAPROBE_DBSC_META_NIONS_NCMAX=1
PARAPROBE_DBSC_META_RANK='Rank'
PARAPROBE_DBSC_META_RANK_NCMAX=1
PARAPROBE_DBSC_META_PROF='ProfilingPreRunPost'
PARAPROBE_DBSC_META_PROF_NCMAX=1

PARAPROBE_DBSC_RES='/DBScan/Results'
#+per case
PARAPROBE_DBSC_RES_LBL='ClusterID'
PARAPROBE_DBSC_RES_LBL_NCMAX=1
PARAPROBE_DBSC_RES_XYZ='XDMFxyz'
PARAPROBE_DBSC_RES_XYZ_NCMAX=3
PARAPROBE_DBSC_RES_TOPO='XDMFTopology'
PARAPROBE_DBSC_RES_TOPO_NCMAX=1
PARAPROBE_DBSC_RES_IID='IonID'
PARAPROBE_DBSC_RES_IID_NCMAX=1

PARAPROBE_DBSC_RES_PREC_LBL='ClusterID'
PARAPROBE_DBSC_RES_PREC_LBL_NCMAX=1
PARAPROBE_DBSC_RES_PREC_NIONS='NumberOfIons'
PARAPROBE_DBSC_RES_PREC_NIONS_NCMAX=1
PARAPROBE_DBSC_RES_PREC_XYZ='Barycenter'
PARAPROBE_DBSC_RES_PREC_XYZ_NCMAX=3
PARAPROBE_DBSC_RES_PREC_BND='BoundaryContact'
PARAPROBE_DBSC_RES_PREC_BND_NCMAX=1

PARAPROBE_DBSC_RES_CDFRAW='ECDFEdgeCorrNo'
PARAPROBE_DBSC_RES_CDFRAW_NCMAX=2
PARAPROBE_DBSC_RES_CDFCLN='ECDFEdgeCorrYes'
PARAPROBE_DBSC_RES_CDFCLN_NCMAX=2
